File: simplecov.gemspec

package info (click to toggle)
ruby-simplecov 0.19.1-1
  • links: PTS, VCS
  • area: main
  • in suites: bookworm, bullseye, sid
  • size: 376 kB
  • sloc: ruby: 1,573; makefile: 8
file content (39 lines) | stat: -rw-r--r-- 4,134 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
#########################################################
# This file has been automatically generated by gem2tgz #
#########################################################
# -*- encoding: utf-8 -*-
# stub: simplecov 0.19.1 ruby lib

Gem::Specification.new do |s|
  s.name = "simplecov".freeze
  s.version = "0.19.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/simplecov-ruby/simplecov/issues", "changelog_uri" => "https://github.com/simplecov-ruby/simplecov/blob/main/CHANGELOG.md", "documentation_uri" => "https://www.rubydoc.info/gems/simplecov/0.19.1", "mailing_list_uri" => "https://groups.google.com/forum/#!forum/simplecov", "source_code_uri" => "https://github.com/simplecov-ruby/simplecov/tree/v0.19.1" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Christoph Olszowka".freeze, "Tobias Pfeiffer".freeze]
  s.date = "2020-10-25"
  s.description = "Code coverage for Ruby with a powerful configuration library and automatic merging of coverage across test suites".freeze
  s.email = ["christoph at olszowka de".freeze, "pragtob@gmail.com".freeze]
  s.files = ["CHANGELOG.md".freeze, "CODE_OF_CONDUCT.md".freeze, "CONTRIBUTING.md".freeze, "ISSUE_TEMPLATE.md".freeze, "LICENSE".freeze, "README.md".freeze, "doc/alternate-formatters.md".freeze, "doc/commercial-services.md".freeze, "doc/editor-integration.md".freeze, "lib/minitest/simplecov_plugin.rb".freeze, "lib/simplecov.rb".freeze, "lib/simplecov/combine.rb".freeze, "lib/simplecov/combine/branches_combiner.rb".freeze, "lib/simplecov/combine/files_combiner.rb".freeze, "lib/simplecov/combine/lines_combiner.rb".freeze, "lib/simplecov/combine/results_combiner.rb".freeze, "lib/simplecov/command_guesser.rb".freeze, "lib/simplecov/configuration.rb".freeze, "lib/simplecov/coverage_statistics.rb".freeze, "lib/simplecov/defaults.rb".freeze, "lib/simplecov/exit_codes.rb".freeze, "lib/simplecov/exit_codes/exit_code_handling.rb".freeze, "lib/simplecov/exit_codes/maximum_coverage_drop_check.rb".freeze, "lib/simplecov/exit_codes/minimum_coverage_by_file_check.rb".freeze, "lib/simplecov/exit_codes/minimum_overall_coverage_check.rb".freeze, "lib/simplecov/file_list.rb".freeze, "lib/simplecov/filter.rb".freeze, "lib/simplecov/formatter.rb".freeze, "lib/simplecov/formatter/multi_formatter.rb".freeze, "lib/simplecov/formatter/simple_formatter.rb".freeze, "lib/simplecov/last_run.rb".freeze, "lib/simplecov/lines_classifier.rb".freeze, "lib/simplecov/load_global_config.rb".freeze, "lib/simplecov/no_defaults.rb".freeze, "lib/simplecov/process.rb".freeze, "lib/simplecov/profiles.rb".freeze, "lib/simplecov/profiles/bundler_filter.rb".freeze, "lib/simplecov/profiles/hidden_filter.rb".freeze, "lib/simplecov/profiles/rails.rb".freeze, "lib/simplecov/profiles/root_filter.rb".freeze, "lib/simplecov/profiles/test_frameworks.rb".freeze, "lib/simplecov/result.rb".freeze, "lib/simplecov/result_adapter.rb".freeze, "lib/simplecov/result_merger.rb".freeze, "lib/simplecov/simulate_coverage.rb".freeze, "lib/simplecov/source_file.rb".freeze, "lib/simplecov/source_file/branch.rb".freeze, "lib/simplecov/source_file/line.rb".freeze, "lib/simplecov/useless_results_remover.rb".freeze, "lib/simplecov/version.rb".freeze]
  s.homepage = "https://github.com/simplecov-ruby/simplecov".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5.0".freeze)
  s.rubygems_version = "2.5.2.1".freeze
  s.summary = "Code coverage for Ruby".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<docile>.freeze, ["~> 1.1"])
      s.add_runtime_dependency(%q<simplecov-html>.freeze, ["~> 0.11"])
    else
      s.add_dependency(%q<docile>.freeze, ["~> 1.1"])
      s.add_dependency(%q<simplecov-html>.freeze, ["~> 0.11"])
    end
  else
    s.add_dependency(%q<docile>.freeze, ["~> 1.1"])
    s.add_dependency(%q<simplecov-html>.freeze, ["~> 0.11"])
  end
end